Tags

, , ,


I periodically update the my lab servers by running yum update all. But for some packages that I want them to stay at  specific versions. For example, I don’t want the httpd and bind get updated when I run yum update. According to the results of ‘yum update httpd bind’, I can see there are updates available for these two packages.

Selection_026

To exclude them from getting updated, I used a tool call yum-versionlock (for RHEL/CentOS 5.x)/ yum-plugin-versionlock (for RHEL/CentOS 6.x). And I pushed the tool and configurations via Puppet.  Here is how it looks after I applied the module.

Selection_025

The module can be found here.

Advertisements